Bug 56451 - Ghostscript error at printing to Epson ActionLaser II
Ghostscript error at printing to Epson ActionLaser II
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-18 17:06 EST by Bertil Askelid
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-18 18:27:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bertil Askelid 2001-11-18 17:06:47 EST
Description of Problem:

Attempt to print .ps file fails, worked in 7.1 and before.

Version-Release number of selected component (if applicable):

Omni-0.5.0-4 LPRng-3.7.4-28

How Reproducible:

Always.

Steps to Reproduce:
1. Add printconf printer: Epson ActionLaser II / laserjet
   300 dpi. no: FF EOT, unknown is text, no rerender convert.		
2. lpr file.ps
3. 

Actual Results:

no printer action.	

Expected Results:

file printed.

Additional Information:
	
My printer is an Epson ActionLaser 1400. Setting to ActionLaser II has
always worked up to and including 7.1 of RedHat.

Here's the transcript from /var/spool/lpd/lp/status.lp:

waiting for subserver to exit at 2001-11-18-13:34:58.186 ## A=<NULL>
number=0 process=892
subserver pid 893 starting at 2001-11-18-13:34:58.331 ## A=bertil@pop+891
number=891 process=893
accounting at start at 2001-11-18-13:34:58.331 ## A=bertil@pop+891
number=891 process=893
opening device '/dev/lp0' at 2001-11-18-13:34:58.333 ## A=bertil@pop+891
number=891 process=893
printing job 'bertil@pop+891' at 2001-11-18-13:34:58.334 ##
A=bertil@pop+891 number=891 process=893
processing 'dfA891pop.lan', size 12973, format 'f', IF filter 'mf_wrapper'
at 2001-11-18-13:34:58.335 ## A=bertil@pop+891 number=891 process=893
suTail: /var/spool/lpd/lp/status.lp: file truncated
IF filter 'mf_wrapper' filter msg - 'Lpdomatic backend version $Revision:
1.2 $ running...' at 2001-11-18-13:35:00.145 ## A=bertil@pop+891 number=891
process=893
IF filter 'mf_wrapper' filter msg - '/usr/sbin/lpdomatic: called with
arguments: '--lprng','ljet3-67456.foo'' at 2001-11-18-13:35:00.171 ##
A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - '/usr/sbin/lpdomatic:
af=ljet3-67456.foo' at 2001-11-18-13:35:00.172 ## A=bertil@pop+891
number=891 process=893
IF filter 'mf_wrapper' filter msg - '/usr/sbin/lpdomatic: options: ''' at
2001-11-18-13:35:00.268 ## A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - 'prepending: <</PageSize[612
792]/ImagingBBox null>>setpagedevice' at 2001-11-18-13:35:00.333 ##
A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - 'prepending: <</HWResolution[300
300]>>setpagedevice' at 2001-11-18-13:35:00.335 ## A=bertil@pop+891
number=891 process=893
IF filter 'mf_wrapper' filter msg - '/usr/sbin/lpdomatic: running: gs -q
-dBATCH -dSAFER -dQUIET -dNOPAUSE -sDEVICE=ljet3 -sOutputFile=- - | perl -e
"my \$a = join('', <>); \$a =~ s/\x{1b}E/\$&/; print \$a"' at
2001-11-18-13:35:00.339 ## A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - '/usr/sbin/lpdomatic: postscript job
line1=>%!PS-Adobe-3.0' at 2001-11-18-13:35:00.342 ## A=bertil@pop+891
number=891 process=893
IF filter 'mf_wrapper' filter msg - '<' at 2001-11-18-13:35:00.343 ##
A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - 'gs  PID pid2=917' at
2001-11-18-13:35:00.364 ## A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - '/usr/sbin/lpdomatic: prepended:' at
2001-11-18-13:35:00.415 ## A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - '<</PageSize[612 792]/ImagingBBox
null>>setpagedevice' at 2001-11-18-13:35:00.416 ## A=bertil@pop+891
number=891 process=893
IF filter 'mf_wrapper' filter msg - '<</HWResolution[300
300]>>setpagedevice' at 2001-11-18-13:35:00.417 ## A=bertil@pop+891
number=891 process=893
IF filter 'mf_wrapper' filter msg - '/\x{1b}E/: Can't use \x{} without 'use
utf8' declaration at -e line 1.' at 2001-11-18-13:35:00.500 ##
A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - 'foomatic-gswrapper: gs '-dBATCH'
'-dSAFER' '-dQUIET' '-dNOPAUSE' '-sDEVICE=ljet3' '-sOutputFile=|cat >&3'
'-' 3>&1 1>&2' at 2001-11-18-13:35:00.541 ## A=bertil@pop+891 number=891
process=893
IF filter 'mf_wrapper' filter msg - 'closing *main::KID3' at
2001-11-18-13:35:07.024 ## A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - 'closed *main::KID3' at
2001-11-18-13:35:07.161 ## A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - 'cat: write error: Broken pipe' at
2001-11-18-13:35:07.843 ## A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - 'Error: /ioerror in --.outputpage--' at
2001-11-18-13:35:07.939 ## A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - 'Operand stack:' at
2001-11-18-13:35:07.940 ## A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - '   1   true' at
2001-11-18-13:35:07.941 ## A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - 'Execution stack:' at
2001-11-18-13:35:07.941 ## A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - '   %interp_exit   .runexec2  
--nostringval--   --nostringval--   --nostringval--   2   %stopped_push  
--nostringval--   --nostringval--   --nostringval--   false   1  
%stopped_push   1   3   %oparray_pop   1   3   %oparray_pop   .runexec2  
--nostringval--   --nostringval--   --nostringval--   2   %stopped_push  
--nostringval--   --nostringval--   0   3   %oparray_pop  
--nostringval--   --nostringval--   --nostringval--   --nostringval--' at
2001-11-18-13:35:07.942 ## A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - 'Dictionary stack:' at
2001-11-18-13:35:07.943 ## A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - '   --dict:1029/1476(ro)(G)--  
--dict:0/20(G)--   --dict:129/200(L)--' at 2001-11-18-13:35:07.944 ##
A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - 'Current allocation mode is local' at
2001-11-18-13:35:07.945 ## A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - 'Last OS error: 32' at
2001-11-18-13:35:07.945 ## A=bertil@pop+891 number=891 process=893
IF filter 'mf_wrapper' filter msg - 'GNU Ghostscript 6.51: Unrecoverable
error, exit code 1' at 2001-11-18-13:35:07.947 ## A=bertil@pop+891
number=891 process=893
IF filter 'mf_wrapper' filter msg - 'tail process done writing data to
*main::STDOUT' at 2001-11-18-13:35:08.020 ## A=bertil@pop+891 number=891
process=893
IF filter 'mf_wrapper' filter finished at 2001-11-18-13:35:08.107 ##
A=bertil@pop+891 number=891 process=893
printing finished at 2001-11-18-13:35:08.107 ## A=bertil@pop+891 number=891
process=893
accounting at end at 2001-11-18-13:35:08.108 ## A=bertil@pop+891 number=891
process=893
finished 'bertil@pop+891', status 'JSUCC' at 2001-11-18-13:35:08.110 ##
A=bertil@pop+891 number=891 process=893
subserver pid 893 exit status 'JSUCC' at 2001-11-18-13:35:08.115 ##
A=<NULL> number=0 process=892
lp@pop.lan: job 'cfA891pop.lan' printed at 2001-11-18-13:35:08.117 ##
A=<NULL> number=891 process=892
job 'cfA891pop.lan' removed at 2001-11-18-13:35:08.122 ## A=<NULL>
number=891 process=892
Comment 1 Bertil Askelid 2001-12-18 18:26:56 EST
No problem anymore. Your patch a few days after I reported this fixed the
problem. You can close this bug! Thanks a lot for the quick response!

Note You need to log in before you can comment on or make changes to this bug.